### Struct

# Qmi MessageUimSwitchSlotInput

since: 1.26

#### Description [src]

    struct QmiMessageUimSwitchSlotInput {
      /* No available fields */
    }

The `QmiMessageUimSwitchSlotInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.26

#### Constructors

###### qmi_message_uim_switch_slot_input_new

Allocates a new `QmiMessageUimSwitchSlotInput`.

since: 1.26

#### Instance methods

###### qmi_message_uim_switch_slot_input_get_logical_slot

Get the ‘Logical Slot’ field from `self`.

since: 1.26

###### qmi_message_uim_switch_slot_input_get_physical_slot

Get the ‘Physical Slot’ field from `self`.

since: 1.26

###### qmi_message_uim_switch_slot_input_ref

Atomically increments the reference count of `self` by one.

since: 1.26

###### qmi_message_uim_switch_slot_input_set_logical_slot

Set the ‘Logical Slot’ field in the message.

since: 1.26

###### qmi_message_uim_switch_slot_input_set_physical_slot

Set the ‘Physical Slot’ field in the message.

since: 1.26

###### qmi_message_uim_switch_slot_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.26